Subject: Re: mounts in gnupro99r1p1
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 18 Jul 2001 19:28:51 -0400

If you have GNUpro 99r1, you probably should also have Red Hat
support, too.  The layout of the tools that were provided in 99r1
are very different from the net release.

Please don't expect support for our commercially provided tools
on this general purpose external mailing list.

If you do not have actual support from Red Hat then you should
just nuke the 99r1 tools and install the net release.

cgf

On Wed, Jul 18, 2001 at 01:16:20PM -0700, Cheuk Cheng wrote:
>I am new to GNU and am confused about how to set up device mounts in
>general.  I use the following with the Cygwin I recently get from the web.
>I also have gnupro99r1p1 installed under d:\cygnus\gnupro99-r1p1.  When I
>run the default gnupro.bat file created by the gnupro99r1p1 installer, it
>just opens a DOS window within Win2k.  Since the installer put certain
>command line tools like ls.exe, bash.exe, etc. under
>d:\cygnus\unsupported-99r1\H-i686-cygwin32\bin while other programs like
>gcc.exe are placed into d:\cygnus\gnupro-99r1p1\H-i686-cygwin32\bin.  As a
>result, entering ls after running bash.exe does not work.  My questions are
>what mounts/paths does Cygwin used to locate a tool?  Do I always need to
>mount /, /usr/bin, /usr/lib, /usr/local and /usr/cygnus?  What should they
>normally be set to (especially gnupro99r1p1 has two different directories
>for storing the tools)?
>
>d:\cygnus\latest\bin on /usr/bin type user (binmode)
>d:\cygnus\latest\lib on /usr/lib type user (binmode)
>d:\cygnus\latest on / type user (binmode)
>d:\cygnus\latest on /usr/local type user (textmode)
>d:\cygnus\latest on /usr/cygnus type user (binmode)
>c:\temps on /tmp type user (textmode)
>c: on /c type user (textmode)
>d: on /d type user (textmode)
>e: on /e type user (textmode)
>g: on /g type user (textmode)
>k: on /cygdrive/k type user (binmode,noumount)
>m: on /cygdrive/m type user (binmode,noumount)
>n: on /cygdrive/n type user (binmode,noumount)
>u: on /cygdrive/u type user (binmode,noumount)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/